ata_scsi_offline_dev
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_scsi_offline_dev — offline attached SCSI device

## Synopsis

`int ata_scsi_offline_dev (` | struct ata_device * | dev`)`;

## Arguments

`dev`

  ATA device to offline attached SCSI device for

## Description

This function is called from `ata_eh_hotplug` and responsible for taking the SCSI device attached to `dev` offline. This function is called with host lock which protects dev->sdev against clearing.

## LOCKING

spin_lock_irqsave(host lock)

## RETURNS

1 if attached SCSI device exists, 0 otherwise.

Prev | Up | Next
ata_scsi_dump_cdb | Home | ata_scsi_remove_dev